//
//  WithLoginViewController.swift
//  MiniApp
//
//  Created by Teko on 04/10/2021.
//

import UIKit

class WithLoginViewController: UIViewController {
    
    var token: String = ""
    
    let label: UILabel = {
        let label = UILabel()
        label.font = UIFont.systemFont(ofSize: 13)
        label.translatesAutoresizingMaskIntoConstraints = false
        label.numberOfLines = 0
        return label
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        title = "Mini App Screen"
        view.backgroundColor = .white
        setupNavigation()
        addSubviews()
        label.text = "Logged in with idToken = \(token)"
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        
        setupNavigation()
    }
    
    func setupNavigation() {
        navigationController?.setNavigationBarHidden(false, animated: true)
    }
    
    func addSubviews() {
        view.addSubview(label)
        NSLayoutConstraint.activate([
            label.leadingAnchor.constraint(equalTo: view.leadingAnchor, constant: 16),
            label.trailingAnchor.constraint(equalTo: view.trailingAnchor, constant: -16),
            label.topAnchor.constraint(equalTo: view.topAnchor, constant: 100)
        ])
    }
    
}
