//
//  WithPaymentViewController.swift
//  MiniApp
//
//  Created by Teko on 04/10/2021.
//

import UIKit
import MAPaymentKit

class WithPaymentViewController: UIViewController {
    
    let button: UIButton = {
        let button = UIButton()
        button.setTitle("Payment", for: .normal)
        button.setTitleColor(.red, for: .normal)
        button.translatesAutoresizingMaskIntoConstraints = false
        return button
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        title = "Mini App Screen"
        view.backgroundColor = .white
        setupNavigation()
        addSubviews()
        setupActions()
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        
        setupNavigation()
    }
    
    func setupNavigation() {
        navigationController?.setNavigationBarHidden(false, animated: true)
    }
    
    func addSubviews() {
        view.addSubview(button)
        NSLayoutConstraint.activate([
            button.centerYAnchor.constraint(equalTo: view.centerYAnchor),
            button.centerXAnchor.constraint(equalTo: view.centerXAnchor)
        ])
    }
    
    func setupActions() {
        button.addTarget(self, action: #selector(requestPayment), for: .touchUpInside)
    }
    
    @objc func requestPayment() {
        let builder = PaymentKit.PaymentRequestBuilder(
            order: .init(code: "miniapp_order", displayOrderCode: "miniapp_order_code", amount: 12000)
        )
        builder.setMainMethod(.all(amount: 12000, metadata: []))
        builder.setUIConfig(.init(shouldShowPaymentResult: true))
        
        PaymentKit.shared.payWith(paymentRequest: builder.build()) { result in
            print(result.paymentResult)
        }
    }
    
}
