//
//  Application.swift
//  SanboxApp
//
//  Created by Teko on 23/09/2021.
//

import UIKit
import Terra
import TerraInstancesManager
import TekoTracker
import MinervaUI
import JanusUI
import ApolloTheme
import IQKeyboardManagerSwift

class Application {
    static let shared = Application()
    
    private init() {}
    
    var window: UIWindow!
    var application: UIApplication!
    var launchOptions: [UIApplication.LaunchOptionsKey: Any]?

}

// Life cycle
extension Application {
    
    func attachWindow(_ window: UIWindow) {
        self.window = window
        self.window.backgroundColor = .black
    }
    
    func appDidFinishLaunchingWithOptions(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) {
        self.application = application
        self.launchOptions = launchOptions
        setupTools()
        buildRootViewController()
    }
    
    func buildRootViewController() {
        let splash = SplashViewController.instantiateFromNib()
        window?.rootViewController = splash
        window?.makeKeyAndVisible()
    }
    
    func enterMainScreen() {
        let main = MainModule.build()
        let nav = UINavigationController(rootViewController: main)
        window?.rootViewController = nav
    }
    
    func setupTools() {
        IQKeyboardManager.shared.enable = true
        IQKeyboardManager.shared.enableAutoToolbar = true
    }
    
}
