//
//  AppHandlerProtocol.swift
//  SandboxApp
//
//  Created by Teko on 29/09/2021.
//

import UIKit
import Hestia

protocol AppHandlerProtocol {
    var appType: AppType { get }
    
    func handle(viewController: UIViewController, scenario: Scenario, appCode: String, delegate: HestiaCallback)
}

extension AppHandlerProtocol {
    
    func handle(viewController: UIViewController, scenario: Scenario, appCode: String, delegate: HestiaCallback) {
        let extraConfig: [String: String] = ["scenario": scenario.rawValue]
        DispatchQueue.main.async {
            terraHestia?.startApp(
                onViewController: viewController,
                appCode: appCode,
                appType: appType,
                extraConfig: extraConfig,
                callback: delegate
            )
        }
    }
    
}
