//
//  AppHandlerFactory.swift
//  SandboxApp
//
//  Created by Teko on 24/09/2021.
//

import UIKit
import Hestia

class AppHandlerFactory {
    
    func createHandler(appType: MiniAppType) -> AppHandlerProtocol {
        switch appType {
        case .native:
            return NativeAppHandler()
        case .reactNative:
            return ReactNativeAppHandler()
        case .web:
            return WebAppHandler()
        }
    }
    
}
