//
//  ScenarioDropdownDataSource.swift
//  SanboxApp
//
//  Created by Teko on 23/09/2021.
//

import Foundation
import Apollo

class ScenarioDropdownDataSource: DropdownDatasource {
    
    let scenarios: [Scenario]
    
    init(scenarios: [Scenario]) {
        self.scenarios = scenarios
    }
    
    func dropdown(_ dropdown: ApolloDropdown, dataForRowAt index: Int) -> DropdownItem {
        return .init(text: scenarios[index].title)
    }
    
    func numberOfRows(in dropdown: ApolloDropdown) -> Int {
        return scenarios.count
    }
    
}
