//
//  MainRouter.swift
//  SandboxApp
//
//  Created by Teko on 24/09/2021.
//

import UIKit
import JanusUI
import Hestia

class MainRouter: MainRouterProtocol {
    var viewController: UIViewController?
    let factory = AppHandlerFactory()
    
    func openLoginUI(delegate: LoginUIDelegate) {
        guard let vc = viewController else { return }
        
        DispatchQueue.main.async {
            terraAuthUI?.startLogin(vc, delegate: delegate, dismissable: true)
        }
        
    }
    
    func openMiniApp(appType: MiniAppType, scenario: Scenario, appCode: String, delegate: HestiaCallback) {
        guard let viewController = viewController else { return }
        let handler = factory.createHandler(appType: appType)
        handler.handle(viewController: viewController, scenario: scenario, appCode: appCode, delegate: delegate)
    }
    
}
