//
//  AppPreferences.swift
//  SandboxApp
//
//  Created by Teko on 21/10/2021.
//

import Foundation

class AppPreferences {
    
    static let shared = AppPreferences()
    
    private init() {}
    
    let userDefaults = UserDefaults.standard
    
    enum Keys {
        static let kLastOpenedAppCode = "LAST_OPENED_APP_CODE"
    }
    
    var lastOpenedAppCode: String? {
        get {
            return userDefaults.string(forKey: Keys.kLastOpenedAppCode)
        }
        set {
            userDefaults.set(newValue, forKey: Keys.kLastOpenedAppCode)
        }
    }
    
}
